Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111551 - [rhevm] unable to create template from Windows 2012 guest with SPICE videocard in RHEV 3.4
Summary: [rhevm] unable to create template from Windows 2012 guest with SPICE videocar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-20 10:23 UTC by Evgheni Dereveanchin
Modified: 2018-12-06 17:01 UTC (History)
12 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:04:03 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 30677 ovirt-engine-3.4 MERGED ui: make template - NPE in wrong display type Never

Description Evgheni Dereveanchin 2014-06-20 10:23:49 UTC
Description of problem:
After migrating from RHEV 3.3 to RHEV 3.4, a pre-existing VM may have SPICE display type configured which results in inability to create templates

Version-Release number of selected component (if applicable):
rhev-m 3.4.0

How reproducible:
always

Steps to Reproduce:
1) create VM on RHEV 3.3, set OS to "Windows 2012 x64"
2) ensure SPICE display type is set in VM settings (default for RHEV 3.3)
3) shut down the VM
4) Upgrade to RHEV 3.4
5) right click on the VM, select "Create Template"
6) fill in the form
7) press OK

Actual results:
Nothing happens, there's no error or action.

Expected results:
Warning appears about wrong videocard settings (just like when starting such a VM)

Additional info:
I noticed this in following scenario:
1) VM was created in RHEV 3.3, it had SPICE video assigned by default.
2) the VM was shut down to create a template, but there was a RHEV upgrade scheduled
3) after upgrading to 3.4, I went on with my plan to make the template but the form did not do anything.
4) after some attempts to create the tempale I decided to just start the VM without one. That's where I got the warning about display type.

I also imagine there may be problems with VMs spawned from windows 2012 templates created in RHEV 3.3, but don't have one to test at the moment.

Comment 1 Omer Frenkel 2014-06-23 09:05:28 UTC
> ...
> 6) fill in the form
> 7) press OK
> 
> Actual results:
> Nothing happens, there's no error or action.

nothing happens it means the dialog doesnt close? or it close but template is not created?

if dialog doesn't close, are you sure nothing is highlighted in the dialog
(marking that there is something missing)?

if it does close, there is no event log?
any errors maybe in engine.log?

worth attaching the engine.log anyway..

is it possible to create template from other vms? (newly created in 3.4 or other from 3.3 - maybe with different os/display type)?
if you change the os or display type, is it possible then to create the template?

thanks!

Comment 2 Evgheni Dereveanchin 2014-07-08 10:25:40 UTC
Nothing happens, nothing is highlited as the window for template creation does not have console type selection.

Comment 3 Evgheni Dereveanchin 2014-07-08 10:42:42 UTC
I am also wondering what will happen to a win2012 VM if it's created on 3.3 with SPICE and started, then the manager is upgraded to 3.4. Will it even be possible to live-migrate? Will RHEV-M create a proper migration process with the SPICE card or the destination host will be assigned a VNC card which will crash the VM upon migration?

Comment 4 Shahar Havivi 2014-07-16 10:52:10 UTC
Please try to change the display type to vnc and see if you can create the VM.

Comment 5 Michal Skrivanek 2014-07-21 08:42:18 UTC
Windows 2012 are not supported with SPICE (lack of virtio drivers), it wasn't supported in 3.3 either, the fact you've been able to reate it was a bug fixed in 3.4
So the 3.3 VMs have qxl display? How about drivers? 

As a workaround (if you really want to use SPICE and you didn't have any issue with that) you can allow the qxl/spice in osinfo

Comment 6 Evgheni Dereveanchin 2014-08-25 10:10:47 UTC
Changing to VNC resolves the issue.

I understand that this was done to fix a bug in 3.3 but the fix shouldn't have broken existing VMs created with wrong settings.

Comment 8 Pavel Novotny 2014-09-29 17:00:39 UTC
Verified in rhevm-3.5.0-0.13.beta.el6ev.noarch (vt4).

First, verified that in RHEVM 3.5 it is not possible to create Windows 2012 VM with SPICE console (as is defined in osinfo).

Verification steps:
1. Have a Windows 2012 VM with SPICE console set (e.g., from older 3.3 RHEVM or hack it in 3.5 via osinfo).
2. Create template from this VM.

Results:
Created template has console set to VNC and cannot be changed to SPICE.

Comment 10 errata-xmlrpc 2015-02-11 18:04:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.